Project List
List projects.
Fields
id (integer)
Primary key.
Expansions
To activate relation expansion add the desired fields as a comma separated
list to the expand query parameter like this:
?expand=<field>,<field>,<field>,...
The following relational fields can be expanded:
organizationcategorytypepartner_functionmanagercontactstatusgrantresearcheventstudylanguageprogramfunders
Filters
To filter for exact value matches:
?<fieldname>=<value>
Possible exact filters:
organizationcategorymanagercontactstatusgrantresearchstudylanguagefundersprogram
For advanced filtering use lookups:
?<fieldname>__<lookup>=<value>
All fields with advanced lookups can also be used for exact value matches as described above.
Possible advanced lookups:
begin_planned:gt,gte,lt,ltebegin_effective:gt,gte,lt,lteend_planned:gt,gte,lt,lteend_effective:gt,gte,lt,lte
GET /v1/research/project/?format=api&offset=2260&ordering=end_effective
{ "count": 2261, "next": null, "previous": "https://api-test.medunigraz.at/v1/research/project/?format=api&limit=20&offset=2240&ordering=end_effective", "results": [ { "id": 8088, "title": { "de": "MGL in der antibakteriellen Wirtsabwehr:\r\nEin potenzielles neues Ziel für die Behandlung von Infektionskrankheiten? ", "en": "Monoglyceride lipase in anti-bacterial host defense:\r\nA potential new target for the treatment of infectious \r\ndiseases?" }, "short": null, "url": null, "abstract": { "de": null, "en": null }, "begin_planned": "2019-03-01T01:00:00+01:00", "begin_effective": "2019-03-01T01:00:00+01:00", "end_planned": "2022-03-01T01:00:00+01:00", "end_effective": "9999-12-31T01:00:00+01:00", "assignment": "2024-03-15T09:16:18+01:00", "program": null, "subprogram": null, "organization": 14023, "category": 10, "type": 10, "partner_function": 4, "manager": 65966, "contact": null, "status": 2, "research": 1, "grant": 10, "event": null, "study": null, "language": null, "funders": [ 894 ], "funder_projectcode": null, "ethics_committee": null, "edudract_number": null, "persons": [ "8088-65966-10" ] } ] }